{
  "name": "common-externals",
  "version": "1.0.0",
  "description": "Shared vendor libraries that need to be bundled with tiki",
  "main": "index.js",
  "scripts": {
    "test": "echo \"Error: no test specified\" && exit 1"
  },
  "author": "",
  "license": "ISC",
  "devDependencies": {
    "bootstrap": "^5.3.2",
    "bootstrap-icons": "^1.11.2",
    "clipboard": "^2.0.11",
    "jquery": "^3.7.1",
    "jquery-migrate": "^3.4.1",
    "jquery-ui": "^1.13.2",
    "moment": "^2.29.4",
    "sortablejs": "=1.14.0",
    "vue": "^3.3.9"
  },
    "devDependenciesComment": {
      "bootstrap": "",
      "bootstrap-icons": "",
      "clipboard": "",
      "jquery": "",
      "jquery-migrate": "",
      "jquery-ui": "",
      "moment": "A lot of libraries depend on this",
      "sortablejs": "Used by legacy js code menubuilder and structures, not just newer libraries like kanban, so needs to be able to be independently included.  Dependency of https://github.com/SortableJS/Vue.Draggable which sadly hasn't moved in 2 years and is stuck at 1.14.0.  Pinning so we don't have a different version in the workspace from the global.  Otherwise dynamic module loading would make it hard to tell.",
      "vue": ""
    }
}
